# Uses of Class
org.apache.qpid.proton.amqp.UnsignedByte

Packages that use UnsignedByte
Package
Description
org.apache.qpid.proton.amqp
org.apache.qpid.proton.amqp.messaging
org.apache.qpid.proton.amqp.security
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl

## Uses of UnsignedByte in org.apache.qpid.proton.amqp

Methods in org.apache.qpid.proton.amqp that return UnsignedByte
Modifier and Type
Method
Description
`static UnsignedByte`
UnsignedByte.`valueOf(byte underlying)`
`static UnsignedByte`
UnsignedByte.`valueOf(String value)`
Methods in org.apache.qpid.proton.amqp with parameters of type UnsignedByte
Modifier and Type
Method
Description
`int`
UnsignedByte.`compareTo(UnsignedByte o)`

## Uses of UnsignedByte in org.apache.qpid.proton.amqp.messaging

Methods in org.apache.qpid.proton.amqp.messaging that return UnsignedByte
Modifier and Type
Method
Description
`UnsignedByte`
Header.`getPriority()`
Methods in org.apache.qpid.proton.amqp.messaging with parameters of type UnsignedByte
Modifier and Type
Method
Description
`void`
Header.`setPriority(UnsignedByte priority)`

## Uses of UnsignedByte in org.apache.qpid.proton.amqp.security

Methods in org.apache.qpid.proton.amqp.security that return UnsignedByte
Modifier and Type
Method
Description
`UnsignedByte`
SaslCode.`getValue()`
Methods in org.apache.qpid.proton.amqp.security with parameters of type UnsignedByte
Modifier and Type
Method
Description
`static SaslCode`
SaslCode.`valueOf(UnsignedByte v)`
Returns the enum constant of this type with the specified name.

## Uses of UnsignedByte in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return UnsignedByte
Modifier and Type
Method
Description
`UnsignedByte`
ReceiverSettleMode.`getValue()`
`UnsignedByte`
SenderSettleMode.`getValue()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type UnsignedByte
Modifier and Type
Method
Description
`static ReceiverSettleMode`
ReceiverSettleMode.`valueOf(UnsignedByte value)`
Returns the enum constant of this type with the specified name.
`static SenderSettleMode`
SenderSettleMode.`valueOf(UnsignedByte value)`
Returns the enum constant of this type with the specified name.

## Uses of UnsignedByte in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return UnsignedByte
Modifier and Type
Method
Description
`UnsignedByte`
Data.`getUnsignedByte()`
`UnsignedByte`
Decoder.`readUnsignedByte()`
`UnsignedByte`
Decoder.`readUnsignedByte(UnsignedByte defaultVal)`
`UnsignedByte`
DecoderImpl.`readUnsignedByte()`
`UnsignedByte`
DecoderImpl.`readUnsignedByte(UnsignedByte defaultVal)`
`UnsignedByte`
UnsignedByteType.UnsignedByteEncoding.`readValue()`
Methods in org.apache.qpid.proton.codec that return types with arguments of type UnsignedByte
Modifier and Type
Method
Description
`Class<UnsignedByte>`
UnsignedByteType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec with parameters of type UnsignedByte
Modifier and Type
Method
Description
`void`
UnsignedByteType.`fastWrite(EncoderImpl encoder, UnsignedByte value)`
`UnsignedByteType.UnsignedByteEncoding`
UnsignedByteType.`getEncoding(UnsignedByte val)`
`void`
Data.`putUnsignedByte(UnsignedByte ub)`
`UnsignedByte`
Decoder.`readUnsignedByte(UnsignedByte defaultVal)`
`UnsignedByte`
DecoderImpl.`readUnsignedByte(UnsignedByte defaultVal)`
`void`
Encoder.`writeUnsignedByte(UnsignedByte ubyte)`
`void`
EncoderImpl.`writeUnsignedByte(UnsignedByte ubyte)`
`void`
UnsignedByteType.UnsignedByteEncoding.`writeValue(UnsignedByte val)`
Method parameters in org.apache.qpid.proton.codec with type arguments of type UnsignedByte
Modifier and Type
Method
Description
`boolean`
UnsignedByteType.UnsignedByteEncoding.`encodesSuperset(TypeEncoding<UnsignedByte> encoding)`

## Uses of UnsignedByte in org.apache.qpid.proton.codec.impl

Methods in org.apache.qpid.proton.codec.impl that return UnsignedByte
Modifier and Type
Method
Description
`UnsignedByte`
DataImpl.`getUnsignedByte()`
Methods in org.apache.qpid.proton.codec.impl with parameters of type UnsignedByte
Modifier and Type
Method
Description
`void`
DataImpl.`putUnsignedByte(UnsignedByte ub)`